Imports MT264
Public Class MainForm
    Private fCharCounter As CharCounter


    Public Sub New()
        fCharCounter = New CharCounter
        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        charComboBox.SelectedIndex = 0
    End Sub

    Private Sub phraseTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles phraseTextBox.TextChanged
        'Update the current string and update the view.
        fCharCounter.CurrentString = phraseTextBox.Text
        updateView()
    End Sub

    Private Sub charComboBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles charComboBox.SelectedIndexChanged
        'Display count by updating the view.
        updateView()

    End Sub

    Private Sub updateView()
        'If the phrase box is not empty then the output box is to display
        'the number of times the selected character occurs in the
        'entered text. Otherwise the output box is made blank.
        If Not (fCharCounter.CurrentString = "") Then
            outputTextBox.Text = fCharCounter.countChar(Convert.ToChar(charComboBox.SelectedItem))
        Else
            outputTextBox.Text = ""
        End If
    End Sub

    Private Sub exitMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles exitMenuItem.Click
        Close()
    End Sub

End Class
